### Function

# Gimp edit_named_cut

#### Declaration [src]

    gchar*
    gimp_edit_named_cut (
      gint num_drawables,
      const GimpItem** drawables,
      const gchar* buffer_name
    )

#### Description [src]

Cut into a named buffer.

This procedure works like gimp_edit_cut(), but additionally stores the cut buffer into a named buffer that will stay available for later pasting, regardless of any intermediate copy or cut operations.

Available since: | 2.4

#### Parameters

`num_drawables` | `gint`
| The number of drawables.
`drawables` | An array of `None`
| The drawables to cut from.
| The length of the array is specified in the `num_drawables` argument.
| The data is owned by the caller of the function.
`buffer_name` | `const gchar*`
| The name of the buffer to create.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gchar*`

         The real name given to the buffer, or NULL if the cut failed.
         The returned value must be freed with g_free().

| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.